Summary:       Multi-tenant cloud management system client tools
Name:          rhc
Version:       0.84.2
Release:       alt1
Group:         System/Servers
License:       MIT
URL:           http://openshift.redhat.com
Source0:       rhc-%version.tar
Patch0:        rhc-%version-%release.patch

BuildArch:     noarch

BuildRequires: rpm-build-ruby ruby-test-spec ruby-rake
Requires:      git ruby-parseconfig ruby-json

%def_without doc

%if_with doc
BuildRequires: ruby-tool-rdoc
%endif

%description
Provides OpenShift client libraries

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -q
%patch -p1

%build
for f in bin/rhc-*
do
  ruby -c $f
done

for f in lib/*.rb
do
  ruby -c $f
done

%install
mkdir -p %buildroot%_man1dir
mkdir -p %buildroot%_man5dir

for f in man/*
do
  len=`expr length $f`
  section=`expr substr $f $len $len`
  cp $f "%buildroot/usr/share/man/man$section/"
done

mkdir -p %buildroot%_sysconfdir/openshift
cp conf/express.conf %buildroot%_sysconfdir/openshift/

mkdir -p %buildroot%_bindir
cp bin/* %buildroot%_bindir/

mkdir -p %buildroot%ruby_sitelibdir
cp lib/rhc-common.rb %buildroot%ruby_sitelibdir/

%if_with doc
%rdoc lib/
%endif

%files
%doc doc/USAGE.txt
%_bindir/rhc-chk
%_bindir/rhc-create-app
%_bindir/rhc-create-domain
%_bindir/rhc-user-info
%_bindir/rhc-ctl-app
%_bindir/rhc-snapshot
%_bindir/rhc-tail-files
%_bindir/rhc-port-forward
%_man1dir/rhc-*
%_man5dir/express*
%ruby_sitelibdir/*
%config(noreplace) %_sysconfdir/openshift/express.conf

%if_with doc
%files doc
%ruby_ri_sitedir/RHC*
%endif

%changelog
* Fri Dec 16 2011 Evgeny Sinelnikov <sin@altlinux.ru> 0.84.2-alt1
- Initial build for ALT Linux Sisyphus

